require "faraday"
require "faraday_middleware"
require "fleetly/version"
require "fleetly/client"

directory = File.expand_path(File.dirname(__FILE__))

module Fleetly

  class << self
    attr_accessor :api_url, :token

    ##
    # Configure default
    #
    # @yield [Fleetly]
    def configure
      load_defaults
      yield self
      true
    end

    private

    def load_defaults
      self.api_url ||= 'https://www.fleetly.com'
      self.token ||= 'ANONYMOUS_OAUTH_TOKEN'
    end
  end

end
