# encoding: utf-8

module Fleetly
  module Logitem

    ##
    # Retrieve Logitem details given the ID
    #
    # @param :id [String] Logitem ID
    #
    # @return [Hashie::Mash] Activity
    def get_logitem_details(id)
      options = {}
      options[:oauth_token] = token
      activity_response = get("/api/v1/logitems/#{id}", options)

      activity_response if activity_response.result?
    end

    ##
    # Retrieve Logitems
    #
    # @param :start [Integer] Starting point (default 0)
    # @param :limit [Integer] Max number of result (default 20)
    #
    # @return [Hashie::Mash] Activity
    def get_logitems(options={})
      options = {}
      options[:oauth_token] = token
      activity_response = get("/api/v1/logitems/search", options)

      activity_response if activity_response.result?
    end

  end
end
