# encoding: utf-8

module Fleetly
  module User

    ##
    # Retrieve information about `me`
    # associated to the `oauth_token`
    #
    # @param :include_activities [Integer] (1,0) `0` default
    # @param :include_challenges [Integer] (1,0) `0` default
    # @param :include_friends [Integer] (1,0) `0` default
    #
    # @return [Hashie::Mash] User
    def me(options={})
      options[:oauth_token] = token
      user_me_response = get('/api/v1/users/me', options)

      user_me_response if user_me_response.result?
    end

    ##
    # Retrieve users base on search params
    # associated to the `oauth_token`
    #
    # @param :name [String] 'partial name of user you want to search'
    # @param :include_activities [Integer] (1,0) `0` default
    # @param :include_challenges [Integer] (1,0) `0` default
    # @param :include_friends [Integer] (1,0) `0` default
    #
    # @return [Hashie::Mash] User
    def user_search(options={})
      options[:oauth_token] = token
      user_me_response = get('/api/v1/users/search', options)

      user_me_response if user_me_response.result?
    end

  end
end
